﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows;

namespace XDGSummaryStringFormat
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void xdg_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            SummaryDefinition summary = new SummaryDefinition();
            summary.Calculator = SummaryCalculator.Sum;
            summary.SourceFieldName = "Number1";
            summary.Key = "Field1.1";
            summary.StringFormat = "{0:N0}";
            this.xdg.FieldLayouts[0].SummaryDefinitions.Add(summary);
        }
    }

    public class Numbers
    {
        public ObservableCollection<NumberRecord> GetNumbers()
        {
            ObservableCollection<NumberRecord> numberData = new ObservableCollection<NumberRecord>();
            numberData.Add(new NumberRecord(-1, 1));
            numberData.Add(new NumberRecord(0, 1));
            numberData.Add(new NumberRecord(0, 1));
            numberData.Add(new NumberRecord(-1, 1));
            numberData.Add(new NumberRecord(0, -1));
            numberData.Add(new NumberRecord(0, 1));
            numberData.Add(new NumberRecord(0, 1));

            return numberData;
        }
    }

    public class NumberRecord : INotifyPropertyChanged
    {
        int m_number1;
        int m_number2;

        public NumberRecord(int num1, int num2)
        {
            this.m_number1 = num1;
            this.m_number2 = num2;
        }

        public int Number1
        {
            get { return m_number1; }
            set
            {
                if (m_number1 != value)
                {
                    m_number1 = value;
                    OnPropertyChanged("Number1");
                }
            }
        }

        public int Number2
        {
            get { return m_number2; }
            set
            {
                if (m_number2 != value)
                {
                    m_number2 = value;
                    OnPropertyChanged("Number1");
                }
            }
        }

        #region INotifyPropertyChanged Members
        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
        #endregion
    }
}
